
.namespace PopupErrorOk

function OnWbpMouseLDown(x,y)
    Disable("PopupError")
    return true
end

function OnEnable()
    OPInput.RegisterListener(self,EVENT_KEY_DOWN + EVENT_KEY_UP + EVENT_PAD_BUTTON_DOWN)
    OPInput.SetListenerPriority(self,LISTENER_HIGH_PRIORITY)
end

function OnKeyDown(key)
    if key == KEY_SPACE then
        Disable("PopupError")
    end
    
    return false
end

function OnPadButtonDown(pad,button)
	if button == WPAD_A then
		Disable("PopupError")
	end
end
